<template>
    <v-dialog v-model="visible" persistent max-width="320">
        <v-card>
            <v-card-title>¿Desea eliminar {{ nameInstitute }}?</v-card-title>
            <v-card-text>
                <v-row justify="space-around">
                    <v-btn color="success" @click="deleteInstitute" >Confirmar</v-btn>
                    <v-btn color="error" @click="closeForm" >Cancelar</v-btn>
                </v-row>
            </v-card-text>
        </v-card>
    </v-dialog>
</template>

<script>
import EventBus from "../../bus";

export default {
    name: "ModalConfirmDeleteInstitute",
    props:["visible", "nameInstitute"],
    methods:{
        deleteInstitute(){
            EventBus.$emit("confirmDeleteInstitute", this.nameInstitute);
        },
        closeForm(){
            EventBus.$emit("closeConfirmDeleteInstitute");
        }
    },
    mounted(){
        // cierra el formulario de las carreras
		document.addEventListener("keydown", event => {
			const keyWhich = event.which;
			if (keyWhich == 27) {
				this.closeForm();
			}
		});
    }
}
</script>